import { Controller, Get } from '@nestjs/common';
import { ModuleRegistryService } from '../core/services/module-registry.service';

@Controller('admin')
export class AdminController {
  constructor(private readonly moduleRegistry: ModuleRegistryService) {}

  @Get('modules')
  getModules() {
    return this.moduleRegistry.getModules();
  }
}
